CREATE DATABASE  IF NOT EXISTS `examlist` /*!40100 DEFAULT CHARACTER SET utf8 */;
USE `examlist`;
-- MySQL dump 10.13  Distrib 5.5.46, for debian-linux-gnu (x86_64)
--
-- Host: 127.0.0.1    Database: examlist
-- ------------------------------------------------------
-- Server version	5.5.46-0ubuntu0.14.04.2

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `alum_exam`
--

DROP TABLE IF EXISTS `alum_exam`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `alum_exam` (
  `id_alum` int(11) NOT NULL,
  `id_exam` int(11) NOT NULL,
  `realizado` varchar(1) DEFAULT NULL,
  `calificacion` decimal(5,2) DEFAULT NULL,
  `estado` varchar(1) DEFAULT NULL,
  `fecha_modif_estado` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id_alum`,`id_exam`),
  KEY `fk_alum_exam_ex_idx` (`id_exam`),
  CONSTRAINT `fk_alum_exam_al` FOREIGN KEY (`id_alum`) REFERENCES `alumno` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_alum_exam_ex` FOREIGN KEY (`id_exam`) REFERENCES `examen` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `alum_exam`
--

LOCK TABLES `alum_exam` WRITE;
/*!40000 ALTER TABLE `alum_exam` DISABLE KEYS */;
INSERT INTO `alum_exam` VALUES (1,1,'S',8.25,NULL,NULL),(1,2,'S',5.90,NULL,NULL),(1,3,'S',8.50,NULL,NULL),(1,4,'S',9.00,NULL,NULL),(1,5,NULL,NULL,NULL,NULL),(1,6,NULL,NULL,NULL,NULL),(1,7,NULL,NULL,NULL,NULL),(1,8,NULL,NULL,NULL,NULL),(2,1,'S',6.00,NULL,NULL),(2,2,'S',7.00,NULL,NULL),(2,3,'S',2.00,NULL,NULL),(2,4,'S',3.00,NULL,NULL),(2,5,NULL,NULL,NULL,NULL),(2,6,NULL,NULL,NULL,NULL),(2,7,NULL,NULL,NULL,NULL),(2,8,NULL,NULL,NULL,NULL),(3,1,'S',5.75,NULL,NULL),(3,2,'S',7.00,NULL,NULL),(3,3,'S',9.00,NULL,NULL),(3,4,'S',5.00,NULL,NULL),(4,1,'S',7.50,NULL,NULL),(4,2,'S',3.00,NULL,NULL),(4,3,'S',6.00,NULL,NULL),(4,4,'S',0.00,NULL,NULL);
/*!40000 ALTER TABLE `alum_exam` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `alum_exam_lugar`
--

DROP TABLE IF EXISTS `alum_exam_lugar`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `alum_exam_lugar` (
  `id_alum` int(11) NOT NULL,
  `id_exam` int(11) NOT NULL,
  `id_lugar` int(11) NOT NULL,
  `estado` varchar(1) DEFAULT NULL,
  `fecha_modif_estado` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id_alum`,`id_lugar`,`id_exam`),
  KEY `fk_alum_exam_lugar_alex_idx` (`id_alum`,`id_exam`),
  KEY `fk_alum_exam_lugar_exlu_idx` (`id_exam`,`id_lugar`),
  CONSTRAINT `fk_alum_exam_lugar_alex` FOREIGN KEY (`id_alum`, `id_exam`) REFERENCES `alum_exam` (`id_alum`, `id_exam`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_alum_exam_lugar_exlu` FOREIGN KEY (`id_exam`, `id_lugar`) REFERENCES `exam_lugar` (`id_exam`, `id_lugar`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `alum_exam_lugar`
--

LOCK TABLES `alum_exam_lugar` WRITE;
/*!40000 ALTER TABLE `alum_exam_lugar` DISABLE KEYS */;
INSERT INTO `alum_exam_lugar` VALUES (1,1,1,NULL,NULL),(1,5,1,NULL,NULL),(1,2,2,NULL,NULL),(1,3,3,NULL,NULL),(1,7,3,NULL,NULL),(1,4,4,NULL,NULL),(1,8,4,NULL,NULL),(1,6,5,NULL,NULL);
/*!40000 ALTER TABLE `alum_exam_lugar` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `alumno`
--

DROP TABLE IF EXISTS `alumno`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `alumno` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_usuario` int(11) NOT NULL,
  `nombre` varchar(50) NOT NULL,
  `apellido1` varchar(50) NOT NULL,
  `apellido2` varchar(50) DEFAULT NULL,
  `doc_identidad` varchar(50) NOT NULL,
  `tipo_doc_identidad` varchar(50) NOT NULL,
  `pais` varchar(50) NOT NULL,
  `estado` varchar(1) DEFAULT NULL,
  `fecha_modif_estado` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `fk_alumno_usuario_idx` (`id_usuario`),
  CONSTRAINT `fk_alumno_usuario` FOREIGN KEY (`id_usuario`) REFERENCES `usuario` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `alumno`
--

LOCK TABLES `alumno` WRITE;
/*!40000 ALTER TABLE `alumno` DISABLE KEYS */;
INSERT INTO `alumno` VALUES (1,1,'Andrés','Fernández','García','11111111H','NIF','ESPAÑA','',NULL),(2,2,'Josefina','Vázquez','Torres','22222222J','NIF','ESPAÑA',NULL,NULL),(3,6,'Marta','Díez','Lara','33333333K','NIF','ESPAÑA',NULL,NULL),(4,7,'Javier','Menéndez','Gil','44444444K','NIF','ESPAÑA',NULL,NULL);
/*!40000 ALTER TABLE `alumno` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `asig_alum`
--

DROP TABLE IF EXISTS `asig_alum`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `asig_alum` (
  `id_asig` int(11) NOT NULL,
  `id_alum` int(11) NOT NULL,
  `fecha_matricula` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `vez_matricula` int(11) NOT NULL,
  `superada` varchar(1) NOT NULL,
  `estado` varchar(1) DEFAULT NULL,
  `fecha_modif_estado` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id_asig`,`id_alum`),
  KEY `fk_asig_alum_al_idx` (`id_alum`),
  CONSTRAINT `fk_asig_alum_al` FOREIGN KEY (`id_alum`) REFERENCES `alumno` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_asig_alum_as` FOREIGN KEY (`id_asig`) REFERENCES `asignatura` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `asig_alum`
--

LOCK TABLES `asig_alum` WRITE;
/*!40000 ALTER TABLE `asig_alum` DISABLE KEYS */;
INSERT INTO `asig_alum` VALUES (1,1,'2015-02-01 18:17:53',1,'S',NULL,NULL),(2,1,'2015-02-01 18:17:53',1,'S',NULL,NULL),(3,1,'2015-02-01 18:17:53',1,'S',NULL,NULL),(4,1,'2015-02-01 18:17:53',1,'S',NULL,NULL),(5,1,'2015-09-02 17:17:53',1,'N',NULL,NULL),(6,1,'2015-09-02 17:17:53',1,'N',NULL,NULL),(7,1,'2015-09-02 17:17:53',1,'N',NULL,NULL),(8,1,'2015-09-02 17:17:53',1,'N',NULL,NULL);
/*!40000 ALTER TABLE `asig_alum` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `asig_prof`
--

DROP TABLE IF EXISTS `asig_prof`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `asig_prof` (
  `id_asig` int(11) NOT NULL,
  `id_prof` int(11) NOT NULL,
  `fecha_alta` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `estado` varchar(1) DEFAULT NULL,
  `fecha_modif_estado` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id_asig`,`id_prof`),
  KEY `fk_asig_prof_pf_idx` (`id_prof`),
  CONSTRAINT `fk_asig_prof_as` FOREIGN KEY (`id_asig`) REFERENCES `asignatura` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_asig_prof_pf` FOREIGN KEY (`id_prof`) REFERENCES `profesor` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `asig_prof`
--

LOCK TABLES `asig_prof` WRITE;
/*!40000 ALTER TABLE `asig_prof` DISABLE KEYS */;
/*!40000 ALTER TABLE `asig_prof` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `asignatura`
--

DROP TABLE IF EXISTS `asignatura`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `asignatura` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `nombre` varchar(100) NOT NULL,
  `comentarios` varchar(100) DEFAULT NULL,
  `fecha_alta` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `estado` varchar(1) DEFAULT NULL,
  `fecha_modif_estado` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `asignatura`
--

LOCK TABLES `asignatura` WRITE;
/*!40000 ALTER TABLE `asignatura` DISABLE KEYS */;
INSERT INTO `asignatura` VALUES (1,'Introducción a la programación',NULL,'2015-01-14 10:26:34',NULL,NULL),(2,'Álgebra',NULL,'2015-01-14 10:27:53',NULL,NULL),(3,'Arquitectura de Computadores',NULL,'2015-01-14 10:26:34',NULL,NULL),(4,'Fundamentos de Electrónica',NULL,'2015-01-14 10:26:34',NULL,NULL),(5,'Lógica',NULL,'2015-01-14 10:26:34',NULL,NULL),(6,'Bases de Datos Relacionales',NULL,'2015-01-14 10:26:34',NULL,NULL),(7,'Estadística',NULL,'2015-01-14 10:26:34',NULL,NULL),(8,'Inglés I',NULL,'2015-01-14 10:26:34',NULL,NULL);
/*!40000 ALTER TABLE `asignatura` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `direccion`
--

DROP TABLE IF EXISTS `direccion`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `direccion` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `direccion` varchar(100) NOT NULL,
  `poblacion` varchar(50) DEFAULT NULL,
  `cod_postal` varchar(10) DEFAULT NULL,
  `provincia` varchar(50) DEFAULT NULL,
  `pais` varchar(50) NOT NULL,
  `telefono` varchar(20) DEFAULT NULL,
  `estado` varchar(1) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `direccion`
--

LOCK TABLES `direccion` WRITE;
/*!40000 ALTER TABLE `direccion` DISABLE KEYS */;
INSERT INTO `direccion` VALUES (1,'Calle Madrid','Getafe','28903','Madrid','España',NULL,NULL),(2,'Calle de Sabatini','Leganés','28911','Madrid','España',NULL,NULL),(3,'Calle de Sabatini.','Leganés','28912','Madrid','España',NULL,NULL);
/*!40000 ALTER TABLE `direccion` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `exam_lugar`
--

DROP TABLE IF EXISTS `exam_lugar`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `exam_lugar` (
  `id_exam` int(11) NOT NULL,
  `id_lugar` int(11) NOT NULL,
  `estado` varchar(1) DEFAULT NULL,
  `fecha_modif_estado` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id_exam`,`id_lugar`),
  KEY `fk_exam_lugar_lu_idx` (`id_lugar`),
  CONSTRAINT `fk_exam_lugar_ex` FOREIGN KEY (`id_exam`) REFERENCES `examen` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_exam_lugar_lu` FOREIGN KEY (`id_lugar`) REFERENCES `lugar` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `exam_lugar`
--

LOCK TABLES `exam_lugar` WRITE;
/*!40000 ALTER TABLE `exam_lugar` DISABLE KEYS */;
INSERT INTO `exam_lugar` VALUES (1,1,NULL,NULL),(2,2,NULL,NULL),(3,3,NULL,NULL),(4,4,NULL,NULL),(5,1,NULL,NULL),(6,5,NULL,NULL),(7,3,NULL,NULL),(8,4,NULL,NULL);
/*!40000 ALTER TABLE `exam_lugar` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `examen`
--

DROP TABLE IF EXISTS `examen`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `examen` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_asignatura` int(11) NOT NULL,
  `fecha_hora_inicio` datetime NOT NULL,
  `hora_fin` time DEFAULT NULL,
  `estado` varchar(1) DEFAULT NULL,
  `fecha_modif_estado` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `fk_examen_asig_idx` (`id_asignatura`),
  CONSTRAINT `fk_examen_asig` FOREIGN KEY (`id_asignatura`) REFERENCES `asignatura` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `examen`
--

LOCK TABLES `examen` WRITE;
/*!40000 ALTER TABLE `examen` DISABLE KEYS */;
INSERT INTO `examen` VALUES (1,1,'2015-06-02 09:30:00','12:00:00',NULL,NULL),(2,2,'2015-06-04 16:00:00','19:00:00',NULL,NULL),(3,3,'2015-06-10 18:00:00','21:00:00',NULL,NULL),(4,4,'2015-06-11 09:00:00','13:00:00',NULL,NULL),(5,5,'2016-02-03 09:30:00','12:00:00',NULL,NULL),(6,6,'2016-02-05 09:30:00','12:00:00',NULL,NULL),(7,7,'2016-02-08 09:30:00','12:00:00',NULL,NULL),(8,8,'2016-02-02 01:38:00','12:00:00',NULL,NULL);
/*!40000 ALTER TABLE `examen` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `lugar`
--

DROP TABLE IF EXISTS `lugar`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `lugar` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_direccion` int(11) NOT NULL,
  `edificio` varchar(100) NOT NULL,
  `localizacion` varchar(50) DEFAULT NULL,
  `latitud` varchar(30) DEFAULT NULL,
  `longitud` varchar(30) DEFAULT NULL,
  `comentarios` varchar(100) DEFAULT NULL,
  `estado` varchar(1) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `fk_lugar_1_idx` (`id_direccion`),
  CONSTRAINT `fk_lugar_direccion` FOREIGN KEY (`id_direccion`) REFERENCES `direccion` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `lugar`
--

LOCK TABLES `lugar` WRITE;
/*!40000 ALTER TABLE `lugar` DISABLE KEYS */;
INSERT INTO `lugar` VALUES (1,1,'Gómez de la Serna y Giner de los Ríos','Aula 4.0.29','40.3156612','-3.725555','Accesible a sillas de ruedas',NULL),(2,1,'Gómez de la Serna y Giner de los Ríos','Aula 7.0J.06','40.33417998173562','-3.765251776443506','Accesible a sillas de ruedas',NULL),(3,2,'Escuela Politécnica Superior','Aula 1.0.H02','40.3327668','-3.7665147999999817','',NULL),(4,2,'Escuela Politécnica Superior','Aula 1.0.B04','40.33331715477057','-3.7663675753937014','Accesible a sillas de ruedas',NULL),(5,3,'Escuela Politécnica Superior','Aula 1.0.H02','40.3327668','-3.7665147999999817','Accesible a sillas de ruedas',NULL);
/*!40000 ALTER TABLE `lugar` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `names`
--

DROP TABLE IF EXISTS `names`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `names` (
  `id` bigint(20) NOT NULL,
  `first` varchar(50) NOT NULL,
  `last` varchar(50) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `names`
--

LOCK TABLES `names` WRITE;
/*!40000 ALTER TABLE `names` DISABLE KEYS */;
INSERT INTO `names` VALUES (1,'John','Doe'),(2,'Jane','Doe'),(3,'John','Smith'),(4,'Jane','Smith'),(0,'roberto','calvo');
/*!40000 ALTER TABLE `names` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `prof_exam`
--

DROP TABLE IF EXISTS `prof_exam`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `prof_exam` (
  `id_prof` int(11) NOT NULL,
  `id_exam` int(11) NOT NULL,
  `estado` varchar(1) DEFAULT NULL,
  `fecha_modif_estado` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id_prof`,`id_exam`),
  KEY `fk_prof_exam_ex_idx` (`id_exam`),
  CONSTRAINT `fk_prof_exam_ex` FOREIGN KEY (`id_exam`) REFERENCES `examen` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_prof_exam_pf` FOREIGN KEY (`id_prof`) REFERENCES `profesor` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `prof_exam`
--

LOCK TABLES `prof_exam` WRITE;
/*!40000 ALTER TABLE `prof_exam` DISABLE KEYS */;
INSERT INTO `prof_exam` VALUES (1,1,NULL,NULL),(1,2,NULL,NULL),(1,5,NULL,NULL),(1,6,NULL,NULL),(2,3,NULL,NULL),(2,4,NULL,NULL),(2,7,NULL,NULL),(2,8,NULL,NULL);
/*!40000 ALTER TABLE `prof_exam` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `prof_exam_lugar`
--

DROP TABLE IF EXISTS `prof_exam_lugar`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `prof_exam_lugar` (
  `id_prof` int(11) NOT NULL,
  `id_exam` int(11) NOT NULL,
  `id_lugar` int(11) NOT NULL,
  `estado` varchar(1) DEFAULT NULL,
  `fecha_modif_estado` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id_prof`,`id_exam`,`id_lugar`),
  KEY `fk_exam_prof_lugar_exlu_idx` (`id_exam`,`id_lugar`),
  CONSTRAINT `fk_exam_prof_lugar_exlu` FOREIGN KEY (`id_exam`, `id_lugar`) REFERENCES `exam_lugar` (`id_exam`, `id_lugar`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_exam_prof_lugar_pfex` FOREIGN KEY (`id_prof`, `id_exam`) REFERENCES `prof_exam` (`id_prof`, `id_exam`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `prof_exam_lugar`
--

LOCK TABLES `prof_exam_lugar` WRITE;
/*!40000 ALTER TABLE `prof_exam_lugar` DISABLE KEYS */;
INSERT INTO `prof_exam_lugar` VALUES (1,1,1,NULL,NULL),(1,2,2,NULL,NULL),(1,5,1,NULL,NULL),(1,6,5,NULL,NULL),(2,3,3,NULL,NULL),(2,4,4,NULL,NULL),(2,7,3,NULL,NULL),(2,8,4,NULL,NULL);
/*!40000 ALTER TABLE `prof_exam_lugar` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `profesor`
--

DROP TABLE IF EXISTS `profesor`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `profesor` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_usuario` int(11) NOT NULL,
  `nombre` varchar(50) NOT NULL,
  `apellido1` varchar(50) NOT NULL,
  `apellido2` varchar(50) DEFAULT NULL,
  `doc_identidad` varchar(50) NOT NULL,
  `tipo_doc_identidad` varchar(50) NOT NULL,
  `pais` varchar(50) NOT NULL,
  `num_seg_social` varchar(50) NOT NULL,
  `estado` varchar(1) DEFAULT NULL,
  `fecha_modif_estado` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `fk_profesor_usuario_idx` (`id_usuario`),
  CONSTRAINT `fk_profesor_usuario` FOREIGN KEY (`id_usuario`) REFERENCES `usuario` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `profesor`
--

LOCK TABLES `profesor` WRITE;
/*!40000 ALTER TABLE `profesor` DISABLE KEYS */;
INSERT INTO `profesor` VALUES (1,3,'Raul','Fernández','Sánchez','111111111','Pasaporte','Colombia','11111111',NULL,NULL),(2,4,'Marta','Arrabales','Olmo','222222222','Pasaporte','Perú','22222222',NULL,NULL);
/*!40000 ALTER TABLE `profesor` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `prog_alum`
--

DROP TABLE IF EXISTS `prog_alum`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `prog_alum` (
  `id_prog` int(11) NOT NULL,
  `id_alum` int(11) NOT NULL,
  `fecha_matricula` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `estado` varchar(1) DEFAULT NULL,
  `fecha_modif_estado` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id_prog`,`id_alum`),
  KEY `fk_alum_idx` (`id_alum`),
  CONSTRAINT `fk_prog_alum_al` FOREIGN KEY (`id_alum`) REFERENCES `alumno` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_prog_alum_pg` FOREIGN KEY (`id_prog`) REFERENCES `programa` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `prog_alum`
--

LOCK TABLES `prog_alum` WRITE;
/*!40000 ALTER TABLE `prog_alum` DISABLE KEYS */;
/*!40000 ALTER TABLE `prog_alum` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `prog_asig`
--

DROP TABLE IF EXISTS `prog_asig`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `prog_asig` (
  `id_prog` int(11) NOT NULL,
  `id_asig` int(11) NOT NULL,
  `fecha_alta` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `estado` varchar(1) DEFAULT NULL,
  `fecha_modif_estado` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id_prog`,`id_asig`),
  KEY `fk_prog_asig_al_idx` (`id_asig`),
  CONSTRAINT `fk_prog_asig_as` FOREIGN KEY (`id_asig`) REFERENCES `asignatura` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_prog_asig_pg` FOREIGN KEY (`id_prog`) REFERENCES `programa` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `prog_asig`
--

LOCK TABLES `prog_asig` WRITE;
/*!40000 ALTER TABLE `prog_asig` DISABLE KEYS */;
INSERT INTO `prog_asig` VALUES (1,1,'2015-01-14 10:32:48',NULL,NULL),(1,2,'2015-01-14 10:32:48',NULL,NULL),(1,3,'2015-01-14 10:32:48',NULL,NULL),(1,4,'2015-01-14 10:32:48',NULL,NULL),(1,5,'2015-01-14 10:32:48',NULL,NULL),(1,6,'2015-01-14 10:32:48',NULL,NULL),(1,7,'2015-01-14 10:32:48',NULL,NULL),(1,8,'2015-01-14 10:32:48',NULL,NULL);
/*!40000 ALTER TABLE `prog_asig` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `programa`
--

DROP TABLE IF EXISTS `programa`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `programa` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `nombre` varchar(100) NOT NULL,
  `tipo` varchar(15) NOT NULL,
  `comentarios` varchar(100) DEFAULT NULL,
  `fecha_alta` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `estado` varchar(1) DEFAULT NULL,
  `fecha_modif_estado` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `programa`
--

LOCK TABLES `programa` WRITE;
/*!40000 ALTER TABLE `programa` DISABLE KEYS */;
INSERT INTO `programa` VALUES (1,'Tecnologías de la Información','GR','','2015-07-14 09:05:25',NULL,NULL);
/*!40000 ALTER TABLE `programa` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `usuario`
--

DROP TABLE IF EXISTS `usuario`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `usuario` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `login` varchar(50) NOT NULL,
  `password` varchar(150) NOT NULL,
  `salt` varchar(50) NOT NULL,
  `perfil` varchar(1) NOT NULL COMMENT 'A: Alumno, P: Profesor, D: Administrador',
  `fecha_alta` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `fecha_ult_acc` timestamp NULL DEFAULT NULL,
  `token` varchar(200) DEFAULT NULL,
  `estado` varchar(1) DEFAULT NULL,
  `fecha_modif_estado` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `login_UNIQUE` (`login`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `usuario`
--

LOCK TABLES `usuario` WRITE;
/*!40000 ALTER TABLE `usuario` DISABLE KEYS */;
INSERT INTO `usuario` VALUES (1,'user1','XQ2xu7NmmcBGFfi4Jy0EInDP48w=','EbRIAKMZy+0=','A','2015-08-14 10:30:00','2016-01-03 00:13:31','1865D08E-8381-4567-8BF8-A3F76CB6CDE8-1-1451780007781',NULL,NULL),(2,'user2','ECQspzu+UUWTeo7m5SFUFiP94QQ=','kch0c1APQt4=','A','2015-09-01 10:00:00','2015-09-17 17:38:40','',NULL,NULL),(3,'prof1','l25aTfqKBp2DCAuRdS7SZNsLXfk=','oLVQsIgmHSw=','P','2015-09-01 10:00:00','2015-12-27 00:55:06','61FC548C-E566-4D81-8703-CFFC2D2C8C22-3-1451177704772',NULL,NULL),(4,'prof2','dzMgNi5QoO2vvbLO+kWSSC7L4N0=','dvEPjEZQQhc=','P','2015-09-01 10:00:00','2015-09-17 17:38:40',NULL,NULL,NULL),(5,'admin1','R3TMySxyN9Uovqqb+dQjX0b78KY=','5MjvoiCZBjw=','D','2015-09-01 10:00:00','2015-12-27 00:55:32','0147BA02-DD03-4A9C-BF83-C3A8B10D30F8-5-1451177732493',NULL,NULL),(6,'user3','x','x','A','2015-08-14 10:30:00',NULL,NULL,NULL,NULL),(7,'user4','y','y','A','2015-08-14 10:30:00',NULL,NULL,NULL,NULL);
/*!40000 ALTER TABLE `usuario` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2016-01-05  0:29:54
