package org.uoc.examlist.controller;

import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;


/**
 * Clase controladora encargada de recibir la petición 
 * inicial con url /
 * 
 * @author      Roberto Calvo Mendoza
 * @version     1.0
 * @since       1.0
 */
@Controller
@RequestMapping(value = "/")
public class InicioController {
	
	/** 
	 * Método encargado de mostrar la página de inicio
	 * Redirecciona al login.
	 *
	 * @param model     objeto modelo del framework Spring
	 * @return          nombre de la página jsp de respuesta
	 * @since           1.0
	 */		
    @RequestMapping(method = RequestMethod.GET)
    public String showLoginPage(Model model) {	    	
    	return "redirect:/examen";
    }

}
