package org.uoc.examlist.controller;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Bean;
import org.springframework.http.converter.json.MappingJackson2HttpMessageConverter;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;
import org.uoc.examlist.data.NameDao;
import org.uoc.examlist.model.Alumno;
import org.uoc.examlist.model.Names;

import com.fasterxml.jackson.databind.ObjectMapper;
import com.fasterxml.jackson.databind.SerializationFeature;


@RestController
@RequestMapping("/rest/prueba")
public class PruebaSpringRest {
 
	
	
	@Autowired
    private NameDao nameDao;	

	/*
    @RequestMapping(method = RequestMethod.GET, produces = "application/json")
    public @ResponseBody List<Member> listAllMembers() {
        return memberDao.findAllOrderedByName();
    }
    
    @RequestMapping(value = "/{id}", method = RequestMethod.GET, produces = "application/json")
    public @ResponseBody Member lookupMemberById(@PathVariable("id") Long id) {
        return memberDao.findById(id);
    
    }
    
    
*/
   
	@Bean
	public MappingJackson2HttpMessageConverter mappingJackson2HttpMessageConverter() {
	    ObjectMapper mapper = new ObjectMapper();
	    mapper.configure(SerializationFeature.FAIL_ON_EMPTY_BEANS, false);
	    MappingJackson2HttpMessageConverter converter = 
	        new MappingJackson2HttpMessageConverter(mapper);
	    

	    return converter;
	}
	
	
	@RequestMapping(method = RequestMethod.GET, produces = "application/json")
    public @ResponseBody List<Names> listAllNames() {
    	
		/*
    	Names name1 = new Names();

    	name1.setFirst("roberto");
    	name1.setLast(null);
    	List lista = new ArrayList();
    	lista.add(name1);    	    
    	lista.add(null);
    	lista.add(name1);
    	//nameDao.register(name1);    	
    	return lista;
    	  	
    	*/
    	List<Names> resultado = nameDao.findAllOrderedByLast();
    	return resultado;

    }
	
    
    @RequestMapping(value = "/alumno", method = RequestMethod.GET, produces = "application/json")
    public @ResponseBody Alumno getAlumno() {	
    	
    	Alumno resultado = nameDao.pruebaGetAlumno(1);
    	return resultado;

    }
	
    @RequestMapping(value = "/{id}", method = RequestMethod.GET, produces = "application/json")
    public @ResponseBody String metodoBuscar(@PathVariable("id") Long id) {
    	String result = "";
    	Alumno resultado = nameDao.pruebaGetAlumno(1);
    	System.out.println("CONTROLLER apellido1: "+resultado.getApellido1());
    	System.out.println("CONTROLLER login: "+resultado.getUsuario().getLogin());
    	ObjectMapper mapper = new ObjectMapper();
    	mapper.configure(SerializationFeature.FAIL_ON_EMPTY_BEANS, false);
    	// do various things, perhaps:
    	try {
    		result = mapper.writeValueAsString(resultado);
    	} catch(Exception e) {
    		
    		System.out.println("EEEEEEEEEEEEEEEE: "+e.getMessage());
    	}
    	return result;
        //return "Respuesta";
    
    }
    
}