package org.uoc.examlist.data;

import java.util.Date;

import javax.persistence.EntityManager;
import javax.persistence.TypedQuery;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;
import org.uoc.examlist.model.Profesor;
import org.uoc.examlist.model.Usuario;


@Repository
@Transactional
public class UsuarioDaoImpl implements UsuarioDao {
	
    @Autowired
    private EntityManager em;
    
    @Override
    public Usuario findUsuarioByLogin(String login){    	
    	TypedQuery<Usuario> query = em.createQuery("SELECT us FROM Usuario us WHERE us.login = :login" , Usuario.class);
    	query.setParameter("login", login);
    	Usuario usuario = query.getSingleResult();
    	return usuario;    	
    }
    
    @Override
    public Usuario updateToken(int idUsuario, String token){    	
        Usuario usuario = em.find(Usuario.class, idUsuario);
        usuario.setToken(token);   	
        usuario.setFechaUltAcc(new Date());
    	return usuario; 
    }

    @Override
    public Usuario findUsuario(int idUsuario){    	
        Usuario usuario = em.find(Usuario.class, idUsuario);	
    	return usuario; 
    }
    
    
    @Override
    public Profesor findProfesor(int idUsuario){    	
        Usuario usuario = em.find(Usuario.class, idUsuario);	
        return usuario.getProfesors().iterator().next();
    }
    
    @Override
    public Usuario updateAccessTime(int idUsuario){    	
        Usuario usuario = em.find(Usuario.class, idUsuario);
        usuario.setFechaUltAcc(new Date());  	
    	return usuario; 
    }
    
}
