package org.uoc.examlist.model;

// Generated 07-sep-2015 18:59:33 by Hibernate Tools 4.3.1

import java.math.BigDecimal;
import java.util.Date;
import java.util.HashSet;
import java.util.Set;
import javax.persistence.AttributeOverride;
import javax.persistence.AttributeOverrides;
import javax.persistence.Column;
import javax.persistence.EmbeddedId;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

/**
 * AlumExam generated by hbm2java
 */
@Entity
@Table(name = "alum_exam", catalog = "examlist")
public class AlumExam implements java.io.Serializable {

	private AlumExamId id;
	private Alumno alumno;
	private Examen examen;
	private String realizado;
	private BigDecimal calificacion;
	private String estado;
	private Date fechaModifEstado;
	private Set<AlumExamLugar> alumExamLugars = new HashSet<AlumExamLugar>(0);

	public AlumExam() {
	}

	public AlumExam(AlumExamId id, Alumno alumno, Examen examen) {
		this.id = id;
		this.alumno = alumno;
		this.examen = examen;
	}

	public AlumExam(AlumExamId id, Alumno alumno, Examen examen,
			String realizado, BigDecimal calificacion, String estado,
			Date fechaModifEstado, Set<AlumExamLugar> alumExamLugars) {
		this.id = id;
		this.alumno = alumno;
		this.examen = examen;
		this.realizado = realizado;
		this.calificacion = calificacion;
		this.estado = estado;
		this.fechaModifEstado = fechaModifEstado;
		this.alumExamLugars = alumExamLugars;
	}

	@EmbeddedId
	@AttributeOverrides({
			@AttributeOverride(name = "idAlum", column = @Column(name = "id_alum", nullable = false)),
			@AttributeOverride(name = "idExam", column = @Column(name = "id_exam", nullable = false)) })
	public AlumExamId getId() {
		return this.id;
	}

	public void setId(AlumExamId id) {
		this.id = id;
	}

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "id_alum", nullable = false, insertable = false, updatable = false)
	public Alumno getAlumno() {
		return this.alumno;
	}

	public void setAlumno(Alumno alumno) {
		this.alumno = alumno;
	}

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "id_exam", nullable = false, insertable = false, updatable = false)
	public Examen getExamen() {
		return this.examen;
	}

	public void setExamen(Examen examen) {
		this.examen = examen;
	}

	@Column(name = "realizado", length = 1)
	public String getRealizado() {
		return this.realizado;
	}

	public void setRealizado(String realizado) {
		this.realizado = realizado;
	}

	@Column(name = "calificacion", precision = 5)
	public BigDecimal getCalificacion() {
		return this.calificacion;
	}

	public void setCalificacion(BigDecimal calificacion) {
		this.calificacion = calificacion;
	}

	@Column(name = "estado", length = 1)
	public String getEstado() {
		return this.estado;
	}

	public void setEstado(String estado) {
		this.estado = estado;
	}

	@Temporal(TemporalType.TIMESTAMP)
	@Column(name = "fecha_modif_estado", length = 19)
	public Date getFechaModifEstado() {
		return this.fechaModifEstado;
	}

	public void setFechaModifEstado(Date fechaModifEstado) {
		this.fechaModifEstado = fechaModifEstado;
	}

	@OneToMany(fetch = FetchType.LAZY, mappedBy = "alumExam")
	public Set<AlumExamLugar> getAlumExamLugars() {
		return this.alumExamLugars;
	}

	public void setAlumExamLugars(Set<AlumExamLugar> alumExamLugars) {
		this.alumExamLugars = alumExamLugars;
	}

}
