package org.uoc.examlist.model;

// Generated 02-sep-2015 20:09:42 by Hibernate Tools 4.3.1

import java.util.Date;
import java.util.HashSet;
import java.util.Set;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import static javax.persistence.GenerationType.IDENTITY;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

/**
 * Examen generated by hbm2java
 */
@Entity
@Table(name = "examen", catalog = "examlist")
public class Examen implements java.io.Serializable {

	private Integer id;
	private Asignatura asignatura;
	private Date fechaHoraInicio;
	private Date horaFin;
	private String estado;
	private Date fechaModifEstado;
	private Set<AlumExam> alumExams = new HashSet<AlumExam>(0);
	private Set<ProfExam> profExams = new HashSet<ProfExam>(0);
	private Set<ExamLugar> examLugars = new HashSet<ExamLugar>(0);

	public Examen() {
	}

	public Examen(Asignatura asignatura, Date fechaHoraInicio) {
		this.asignatura = asignatura;
		this.fechaHoraInicio = fechaHoraInicio;
	}

	public Examen(Asignatura asignatura, Date fechaHoraInicio, Date horaFin,
			String estado, Date fechaModifEstado, Set<AlumExam> alumExams,
			Set<ProfExam> profExams, Set<ExamLugar> examLugars) {
		this.asignatura = asignatura;
		this.fechaHoraInicio = fechaHoraInicio;
		this.horaFin = horaFin;
		this.estado = estado;
		this.fechaModifEstado = fechaModifEstado;
		this.alumExams = alumExams;
		this.profExams = profExams;
		this.examLugars = examLugars;
	}

	@Id
	@GeneratedValue(strategy = IDENTITY)
	@Column(name = "id", unique = true, nullable = false)
	public Integer getId() {
		return this.id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	@ManyToOne(fetch = FetchType.EAGER)
	@JoinColumn(name = "id_asignatura", nullable = false)
	public Asignatura getAsignatura() {
		return this.asignatura;
	}

	public void setAsignatura(Asignatura asignatura) {
		this.asignatura = asignatura;
	}

	@Temporal(TemporalType.TIMESTAMP)
	@Column(name = "fecha_hora_inicio", nullable = false, length = 19)
	public Date getFechaHoraInicio() {
		return this.fechaHoraInicio;
	}

	public void setFechaHoraInicio(Date fechaHoraInicio) {
		this.fechaHoraInicio = fechaHoraInicio;
	}

	@Temporal(TemporalType.TIME)
	@Column(name = "hora_fin", length = 8)
	public Date getHoraFin() {
		return this.horaFin;
	}

	public void setHoraFin(Date horaFin) {
		this.horaFin = horaFin;
	}

	@Column(name = "estado", length = 1)
	public String getEstado() {
		return this.estado;
	}

	public void setEstado(String estado) {
		this.estado = estado;
	}

	@Temporal(TemporalType.TIMESTAMP)
	@Column(name = "fecha_modif_estado", length = 19)
	public Date getFechaModifEstado() {
		return this.fechaModifEstado;
	}

	public void setFechaModifEstado(Date fechaModifEstado) {
		this.fechaModifEstado = fechaModifEstado;
	}

	@OneToMany(fetch = FetchType.LAZY, mappedBy = "examen")
	public Set<AlumExam> getAlumExams() {
		return this.alumExams;
	}

	public void setAlumExams(Set<AlumExam> alumExams) {
		this.alumExams = alumExams;
	}

	@OneToMany(fetch = FetchType.LAZY, mappedBy = "examen")
	public Set<ProfExam> getProfExams() {
		return this.profExams;
	}

	public void setProfExams(Set<ProfExam> profExams) {
		this.profExams = profExams;
	}

	@OneToMany(fetch = FetchType.EAGER, mappedBy = "examen")
	public Set<ExamLugar> getExamLugars() {
		return this.examLugars;
	}

	public void setExamLugars(Set<ExamLugar> examLugars) {
		this.examLugars = examLugars;
	}

}
