package org.uoc.examlist.model;

// Generated 02-sep-2015 20:09:42 by Hibernate Tools 4.3.1

import java.util.Date;
import java.util.HashSet;
import java.util.Set;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import static javax.persistence.GenerationType.IDENTITY;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

/**
 * Profesor generated by hbm2java
 */
@Entity
@Table(name = "profesor", catalog = "examlist")
public class Profesor implements java.io.Serializable {

	private Integer id;
	private Usuario usuario;
	private String nombre;
	private String apellido1;
	private String apellido2;
	private String docIdentidad;
	private String tipoDocIdentidad;
	private String pais;
	private String numSegSocial;
	private String estado;
	private Date fechaModifEstado;
	private Set<ProfExam> profExams = new HashSet<ProfExam>(0);
	private Set<AsigProf> asigProfs = new HashSet<AsigProf>(0);

	public Profesor() {
	}

	public Profesor(Usuario usuario, String nombre, String apellido1,
			String docIdentidad, String tipoDocIdentidad, String pais,
			String numSegSocial) {
		this.usuario = usuario;
		this.nombre = nombre;
		this.apellido1 = apellido1;
		this.docIdentidad = docIdentidad;
		this.tipoDocIdentidad = tipoDocIdentidad;
		this.pais = pais;
		this.numSegSocial = numSegSocial;
	}

	public Profesor(Usuario usuario, String nombre, String apellido1,
			String apellido2, String docIdentidad, String tipoDocIdentidad,
			String pais, String numSegSocial, String estado,
			Date fechaModifEstado, Set<ProfExam> profExams,
			Set<AsigProf> asigProfs) {
		this.usuario = usuario;
		this.nombre = nombre;
		this.apellido1 = apellido1;
		this.apellido2 = apellido2;
		this.docIdentidad = docIdentidad;
		this.tipoDocIdentidad = tipoDocIdentidad;
		this.pais = pais;
		this.numSegSocial = numSegSocial;
		this.estado = estado;
		this.fechaModifEstado = fechaModifEstado;
		this.profExams = profExams;
		this.asigProfs = asigProfs;
	}

	@Id
	@GeneratedValue(strategy = IDENTITY)
	@Column(name = "id", unique = true, nullable = false)
	public Integer getId() {
		return this.id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "id_usuario", nullable = false)
	public Usuario getUsuario() {
		return this.usuario;
	}

	public void setUsuario(Usuario usuario) {
		this.usuario = usuario;
	}

	@Column(name = "nombre", nullable = false, length = 50)
	public String getNombre() {
		return this.nombre;
	}

	public void setNombre(String nombre) {
		this.nombre = nombre;
	}

	@Column(name = "apellido1", nullable = false, length = 50)
	public String getApellido1() {
		return this.apellido1;
	}

	public void setApellido1(String apellido1) {
		this.apellido1 = apellido1;
	}

	@Column(name = "apellido2", length = 50)
	public String getApellido2() {
		return this.apellido2;
	}

	public void setApellido2(String apellido2) {
		this.apellido2 = apellido2;
	}

	@Column(name = "doc_identidad", nullable = false, length = 50)
	public String getDocIdentidad() {
		return this.docIdentidad;
	}

	public void setDocIdentidad(String docIdentidad) {
		this.docIdentidad = docIdentidad;
	}

	@Column(name = "tipo_doc_identidad", nullable = false, length = 50)
	public String getTipoDocIdentidad() {
		return this.tipoDocIdentidad;
	}

	public void setTipoDocIdentidad(String tipoDocIdentidad) {
		this.tipoDocIdentidad = tipoDocIdentidad;
	}

	@Column(name = "pais", nullable = false, length = 50)
	public String getPais() {
		return this.pais;
	}

	public void setPais(String pais) {
		this.pais = pais;
	}

	@Column(name = "num_seg_social", nullable = false, length = 50)
	public String getNumSegSocial() {
		return this.numSegSocial;
	}

	public void setNumSegSocial(String numSegSocial) {
		this.numSegSocial = numSegSocial;
	}

	@Column(name = "estado", length = 1)
	public String getEstado() {
		return this.estado;
	}

	public void setEstado(String estado) {
		this.estado = estado;
	}

	@Temporal(TemporalType.TIMESTAMP)
	@Column(name = "fecha_modif_estado", length = 19)
	public Date getFechaModifEstado() {
		return this.fechaModifEstado;
	}

	public void setFechaModifEstado(Date fechaModifEstado) {
		this.fechaModifEstado = fechaModifEstado;
	}

	@OneToMany(fetch = FetchType.LAZY, mappedBy = "profesor")
	public Set<ProfExam> getProfExams() {
		return this.profExams;
	}

	public void setProfExams(Set<ProfExam> profExams) {
		this.profExams = profExams;
	}

	@OneToMany(fetch = FetchType.LAZY, mappedBy = "profesor")
	public Set<AsigProf> getAsigProfs() {
		return this.asigProfs;
	}

	public void setAsigProfs(Set<AsigProf> asigProfs) {
		this.asigProfs = asigProfs;
	}

}
