package org.uoc.examlist.model;

// Generated 07-sep-2015 18:59:33 by Hibernate Tools 4.3.1

import java.util.Date;
import java.util.HashSet;
import java.util.Set;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import static javax.persistence.GenerationType.IDENTITY;
import javax.persistence.Id;
import javax.persistence.OneToMany;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;
import javax.persistence.UniqueConstraint;

/**
 * Usuario generated by hbm2java
 */
@Entity
@Table(name = "usuario", catalog = "examlist", uniqueConstraints = @UniqueConstraint(columnNames = "login"))
public class Usuario implements java.io.Serializable {

	private Integer id;
	private String login;
	private String password;
	private String salt;
	private String perfil;
	private Date fechaAlta;
	private Date fechaUltAcc;
	private String token;
	private String estado;
	private Date fechaModifEstado;
	private Set<Profesor> profesors = new HashSet<Profesor>(0);
	private Set<Alumno> alumnos = new HashSet<Alumno>(0);

	public Usuario() {
	}

	public Usuario(String login, String password, String salt, String perfil,
			Date fechaAlta) {
		this.login = login;
		this.password = password;
		this.salt = salt;
		this.perfil = perfil;
		this.fechaAlta = fechaAlta;
	}

	public Usuario(String login, String password, String salt, String perfil,
			Date fechaAlta, Date fechaUltAcc, String token, String estado,
			Date fechaModifEstado, Set<Profesor> profesors, Set<Alumno> alumnos) {
		this.login = login;
		this.password = password;
		this.salt = salt;
		this.perfil = perfil;
		this.fechaAlta = fechaAlta;
		this.fechaUltAcc = fechaUltAcc;
		this.token = token;
		this.estado = estado;
		this.fechaModifEstado = fechaModifEstado;
		this.profesors = profesors;
		this.alumnos = alumnos;
	}

	@Id
	@GeneratedValue(strategy = IDENTITY)
	@Column(name = "id", unique = true, nullable = false)
	public Integer getId() {
		return this.id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	@Column(name = "login", unique = true, nullable = false, length = 50)
	public String getLogin() {
		return this.login;
	}

	public void setLogin(String login) {
		this.login = login;
	}

	@Column(name = "password", nullable = false, length = 150)
	public String getPassword() {
		return this.password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	@Column(name = "salt", nullable = false, length = 50)
	public String getSalt() {
		return this.salt;
	}

	public void setSalt(String salt) {
		this.salt = salt;
	}

	@Column(name = "perfil", nullable = false, length = 1)
	public String getPerfil() {
		return this.perfil;
	}

	public void setPerfil(String perfil) {
		this.perfil = perfil;
	}

	@Temporal(TemporalType.TIMESTAMP)
	@Column(name = "fecha_alta", nullable = false, length = 19)
	public Date getFechaAlta() {
		return this.fechaAlta;
	}

	public void setFechaAlta(Date fechaAlta) {
		this.fechaAlta = fechaAlta;
	}

	@Temporal(TemporalType.TIMESTAMP)
	@Column(name = "fecha_ult_acc", length = 19)
	public Date getFechaUltAcc() {
		return this.fechaUltAcc;
	}

	public void setFechaUltAcc(Date fechaUltAcc) {
		this.fechaUltAcc = fechaUltAcc;
	}

	@Column(name = "token", length = 200)
	public String getToken() {
		return this.token;
	}

	public void setToken(String token) {
		this.token = token;
	}

	@Column(name = "estado", length = 1)
	public String getEstado() {
		return this.estado;
	}

	public void setEstado(String estado) {
		this.estado = estado;
	}

	@Temporal(TemporalType.TIMESTAMP)
	@Column(name = "fecha_modif_estado", length = 19)
	public Date getFechaModifEstado() {
		return this.fechaModifEstado;
	}

	public void setFechaModifEstado(Date fechaModifEstado) {
		this.fechaModifEstado = fechaModifEstado;
	}

	@OneToMany(fetch = FetchType.LAZY, mappedBy = "usuario")
	public Set<Profesor> getProfesors() {
		return this.profesors;
	}

	public void setProfesors(Set<Profesor> profesors) {
		this.profesors = profesors;
	}

	@OneToMany(fetch = FetchType.LAZY, mappedBy = "usuario")
	public Set<Alumno> getAlumnos() {
		return this.alumnos;
	}

	public void setAlumnos(Set<Alumno> alumnos) {
		this.alumnos = alumnos;
	}

}
