<%@ taglib prefix="sf" uri="http://www.springframework.org/tags/form" %>
<%@ taglib prefix="s" uri="http://www.springframework.org/tags" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ page contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%> 
<c:set var="contextPath" value="${pageContext.request.contextPath}"/>

<!DOCTYPE html>
<html>
<head>

<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Buscador de examen</title>

 <meta name="viewport" content="width=device-width, initial-scale=1">
<meta name="description" content="">
<meta name="author" content="Roberto Calvo Mendoza">
<link href="${contextPath}/css/bootstrap.min.css" rel="stylesheet">
<link href="${contextPath}/css/bootstrap-theme.min.css" rel="stylesheet">
<script src="${contextPath}/js/jquery-1.11.3.js" type="text/javascript"></script>
<script src="${contextPath}/js/bootstrap.min.js" type="text/javascript"></script>
<script>

function irA() {	
}

jQuery(document).ready(function($) {
	$(' table > tbody > tr').click(function() {
        window.document.location = '${contextPath}' + $(this).data("href");
	});
});
</script>
</head>
<body> 
	<div class="container">
		<jsp:include page="/WEB-INF/views/cabecera.jsp"/>
		<sf:form method="POST" action="${contextPath}/examen/buscar" theme="bootstrap" modelAttribute="buscadorExamenes" role="form" htmlEscape="true" >				

		  	<div class="form-group panel panel-default" style="margin-top:3%;">  	
		  		<div class="panel-body">
		  		<div>
		  			<div class="col-lg-12">
					    <label for="id_criterio">Criterio de búsqueda</label>
					</div>
		  			<div class="col-lg-11">
				    	<sf:input path="criterio" class="form-control" id="id_criterio" placeholder="Codigo o nombre de asignatura"/>
				    </div>
		  			<div class="col-lg-1">				    	
				    	<button type="submit" class="btn btn-primary btn-sm">
          					<span class="glyphicon glyphicon-search"></span> Buscar 
        				</button>
				    </div>		
			    </div>	    
			    </div>
			</div>				
				
			<c:if test="${not empty buscadorExamenes.listaExamenes}">
				<h2>Resultados</h2> 
				<table class="table table-hover">
				  <thead>
				    <tr>
				      <th>Código</th>
				      <th>Nombre de asignatura</th>
				      <th>Lugar</th>
				      <th>Fecha</th>
				    </tr>
				  </thead>
				  <tbody>
				  	<c:forEach var="detalleExamen" items="${buscadorExamenes.listaExamenes}">
					  	<tr style="cursor: pointer;" data-href='/examen/detalle/${detalleExamen.idExamen}/${detalleExamen.idLugar}'>
					      <td>${detalleExamen.idAsignatura}</td>
					      <td>${detalleExamen.nombreAsignatura}</td>
					      <td>${detalleExamen.edificio} ${detalleExamen.aula} - ${detalleExamen.direccion} - ${detalleExamen.poblacion}-${detalleExamen.provincia}</td>
					      <td>${detalleExamen.fecha} ${detalleExamen.hora}</td>
					    </tr>
				    </c:forEach>
				  </tbody>
				</table>		
			</c:if>				
			<c:if test="${buscadorExamenes.busquedaSinResultados}">                        
	            <div class="alert alert-danger">
	                <p>No se han encontrado resultados para el criterio de búsqueda.</p>
	            </div>
            </c:if>				
		</sf:form>
	</div>
</body>
</html>
