<%@ taglib prefix="sf" uri="http://www.springframework.org/tags/form" %>
<%@ taglib prefix="s" uri="http://www.springframework.org/tags" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ page contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%> 
<c:set var="contextPath" value="${pageContext.request.contextPath}"/>

<!DOCTYPE html>
<html>
<head>

<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Buscador de examen</title>

 <meta name="viewport" content="width=device-width, initial-scale=1">
<meta name="description" content="">
<meta name="author" content="Roberto Calvo Mendoza">
<link href="${contextPath}/css/bootstrap.min.css" rel="stylesheet">
<link href="${contextPath}/css/bootstrap-theme.min.css" rel="stylesheet">
<script src="${contextPath}/js/jquery-1.11.3.js" type="text/javascript"></script>
<script src="${contextPath}/js/bootstrap.min.js" type="text/javascript"></script>
<script>


</script>
</head>
<body> 
	<div class="container">
		<jsp:include page="/WEB-INF/views/cabecera.jsp"/>		
		<c:if test="${error}">
		    <div class="alert alert-danger fade in col-lg-12" >	
		        <a href="#" class="close" data-dismiss="alert">&times;</a>	
		        <strong>Error al grabar las calificaciones</strong>
		    </div>
		</c:if>
		
		<c:if test="${ok}">
		    <div class="alert alert-success fade in col-lg-12" >	
		        <a href="#" class="close" data-dismiss="alert">&times;</a>	
		        <strong>Las calificaciones se han grabado correctamente</strong>	
		    </div>
		</c:if>		
		
		
		
		<div class="col-lg-12">
			<div class="col-lg-4" style="font-weight: bold; font-size: 1.3em;">${calificaciones.nombreAsignatura}</div>
			<div class="col-lg-3">
				<span><strong>Fecha: </strong></span><span>${calificaciones.fechaExamen}</span>
			</div>	
	        <div class="col-lg-5"></div>     
		</div>
		
		
		<sf:form method="POST" action="actualizar" theme="bootstrap" modelAttribute="calificaciones" role="form" >				
			<sf:hidden path="idExamen" />
			<table class="table table-hover" >
			  <thead>
			    <tr>
			      <th>Código</th>
			      <th>Nombre de alumno</th>
			      <th>Calificación</th>
			    </tr>
			  </thead>
			  <tbody>
			    <c:forEach var="calificacion" items="${calificaciones.calificaciones}" varStatus="bucle">
				    <tr style="cursor: pointer;" >
				      	<td>${calificacion.idAlumno}</td>
				      	 <td>${calificacion.nombreCompletoAlumno}</td>
			      		<td><sf:input path="calificaciones[${bucle.index}].calificacion" type="number" step="0.01" id="replyNumber" min="0" data-bind="value:replyNumber"/></td>
			      		<sf:hidden path="calificaciones[${bucle.index}].idAlumno" />
				    </tr>
			    </c:forEach>
			  </tbody>
			</table>	
			<div class=" col-xs-12 col-sm-12 col-md-12 col-lg-12" style="margin-top: 1em;">
				<div class="col-lg-1 col-md-1 col-sm-5 col-xs-5">
				  <a href="${contextPath}/examen" class="btn btn-primary" role="button"><span class="glyphicon glyphicon-chevron-left"></span> Volver</a>					
				</div>	
				<div class="col-lg-10 col-md-10 col-sm-2 col-xs-2"></div>	
				<div class="col-lg-1 col-md-1 col-sm-5 col-xs-5"><button type="submit" class="btn btn-primary">Guardar</button></div>
			</div>		
		</sf:form>
	</div>
</body>
</html>
