<%@ taglib prefix="sf" uri="http://www.springframework.org/tags/form" %>
<%@ taglib prefix="s" uri="http://www.springframework.org/tags" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ page contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%> 
<c:set var="contextPath" value="${pageContext.request.contextPath}"/>

<!DOCTYPE html>
<html>
<head>

<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Detalle de examen</title>

 <meta name="viewport" content="width=device-width, initial-scale=1">
<meta name="description" content="">
<meta name="author" content="Roberto Calvo Mendoza">
<link href="${contextPath}/css/bootstrap.min.css" rel="stylesheet">
<link href="${contextPath}/css/bootstrap-theme.min.css" rel="stylesheet">
<link href="${contextPath}/css/bootstrap-datetimepicker.css" rel="stylesheet">
<script src="${contextPath}/js/jquery-1.11.3.js" type="text/javascript"></script>
<script src="${contextPath}/js/bootstrap.min.js" type="text/javascript"></script>
<script src="${contextPath}/js/moment-with-locales.js" type="text/javascript"></script>
<script src="${contextPath}/js/bootstrap-datetimepicker.js" type="text/javascript"></script>
<script src="https://maps.googleapis.com/maps/api/js"></script>
<script>
	function initialize() {
		/*
	    var mapCanvas = document.getElementById('map');
	    var mapOptions = {
	      center: new google.maps.LatLng(44.5403, -78.5463),
	      zoom: 8,
	      mapTypeId: google.maps.MapTypeId.ROADMAP
	    }
	    var map = new google.maps.Map(mapCanvas, mapOptions);
*/

		//codeAddress("Puerta del Sol, Madrid");

		//iniciarMapaConCoordenadas();
		var latitud = $('#idLatitud').val();
		var longitud = $('#idLongitud').val();
		var latLng = new google.maps.LatLng(latitud, longitud);
		actualizarDisplayCoordenadas(latLng);
		
		var map = new google.maps.Map(document.getElementById('map'), {
		    zoom: 18,
		    center: latLng,
		    mapTypeId: google.maps.MapTypeId.ROADMAP
		});
		
		var marker = new google.maps.Marker({
		    position: latLng,
		    title: 'Examen',
		    map: map,
		    draggable: true
		});
		

		$( "#boton-calificaciones" ).click(function() {
			 window.document.location = '${contextPath}' + "/calificaciones";
		});

		google.maps.event.addListener(marker, 'drag', function() {
			actualizarDisplayCoordenadas(marker.getPosition());
		});
		
	}


	function actualizarDisplayCoordenadas(latLng) {
		$('#idLatitudDisplay').text(latLng.lat());
		$('#idLongitudDisplay').text(latLng.lng());    
		$('#idLatitud').val(latLng.lat());
		$('#idLongitud').val(latLng.lng());		
	}
	
	google.maps.event.addDomListener(window, 'load', initialize);

	var geocoder, map;

	function codeAddress(address) {
	    geocoder = new google.maps.Geocoder();
	    geocoder.geocode({
	        'address': address
	    }, function(results, status) {
	        if (status == google.maps.GeocoderStatus.OK) {
	            var myOptions = {
	                zoom: 18,
	                center: results[0].geometry.location,
	                mapTypeId: google.maps.MapTypeId.ROADMAP
	            }
	            map = new google.maps.Map(document.getElementById("map"), myOptions);

	            var marker = new google.maps.Marker({
	                map: map,
	                position: results[0].geometry.location,
	    		    title: 'Examen',
	    		    draggable: true
	            });
	            actualizarDisplayCoordenadas(marker.getPosition());
	    		google.maps.event.addListener(marker, 'drag', function() {
	    			actualizarDisplayCoordenadas(marker.getPosition());
	    		});
	            
	        }
	    });
	}



	function clickBotonMapa() {
		codeAddress($('#idDireccion').val() + " " + $('#idPoblacion').val() + " " + $('#idProvincia').val() + " " + $('#idCodigoPostal').val());
	}


	
		
</script>

<style>
  #map {
    height: 21em;
  }
  

</style>
</head>
<body> 
	<div class="container">
	  <jsp:include page="/WEB-INF/views/cabecera.jsp"/>	  
		<c:if test="${error}">
		    <div class="alert alert-danger fade in col-lg-12" >	
		        <a href="#" class="close" data-dismiss="alert">&times;</a>	
		        <strong>Error al grabar los detalles del examen</strong>
		    </div>
		</c:if>
		
		<c:if test="${ok}">
		    <div class="alert alert-success fade in col-lg-12" >	
		        <a href="#" class="close" data-dismiss="alert">&times;</a>	
		        <strong>Los datos se han actualizado correctamente</strong>	
		    </div>
		</c:if>

		<sf:form method="POST" action="${contextPath}/examen/updateDetalles" theme="bootstrap" modelAttribute="detalleExamen" role="form" htmlEscape="true" >	
		
		<div class="col-lg-12">
			<div class="col-lg-4" style="font-weight: bold; font-size: 1.3em;">${detalleExamen.nombreAsignatura}</div>
			<div class="col-lg-1">
				<sf:label path="fecha">Fecha:</sf:label>
			</div>	
			<div class="form-group col-lg-2">		
				<div class="input-group date" id='datetimepicker1'> 
		        	<sf:input path="fecha" class="form-control"/>
	     	         <span class="input-group-addon">
	                    <span class="glyphicon glyphicon-calendar"></span>
	                </span>
		        </div>
	        </div>
	        <script type="text/javascript">
	            $(function () {
	                $('#datetimepicker1').datetimepicker({
	                	locale: 'es',
	                	format: "DD/MM/YYYY"
	                });
	            });
	        </script>	        
			<div class="col-lg-1">
				<sf:label path="hora">Hora:</sf:label>
			</div>	
			<div class="form-group col-lg-2">		
				<div class="input-group date" id='datetimepicker2'> 
		        	<sf:input path="hora" class="form-control"/>
	     	         <span class="input-group-addon">
	                    <span class="glyphicon glyphicon-time"></span>
	                </span>
		        </div>
	        </div>
	        <script type="text/javascript">
	            $(function () {
	                $('#datetimepicker2').datetimepicker({
	                	locale: 'es',
	                	format: "LT"
	                });
	            });
	        </script>  
	        <div class="col-lg-2"></div>     
		</div>
		<div class="col-xs-12 col-sm-6 col-md-6 col-lg-6">
			
		  	<div class="form-group panel panel-default" style="margin-top:3%;">
		  		<div class="panel-body">

					<div>
	                    <div>
	                    	<div class="col-lg-3">
	                    		<sf:label path="edificio">Edificio:</sf:label>
							</div>	
							<div class="col-lg-9">							
								<sf:input path="edificio" htmlEscape="true" />
							</div>  
	                    </div>
	                    <div>
	                    	<div class="col-lg-3">
	                    		<sf:label path="aula">Aula:</sf:label>
							</div>	
							<div class="col-lg-9">
								<sf:input path="aula"/>
							</div>  
	                    </div>	  
	                    <div>
	                    	<div class="col-lg-3">
	                    		<sf:label path="direccion">Dirección:</sf:label>
	                    	</div>	
							<div class="col-lg-9">	
								<sf:textarea id="idDireccion" path="direccion" rows="2" cols="18" />								
							</div>
	                    </div>		                    
	                        
	                    <div>
	                    	<div class="col-lg-3">
	                    		<sf:label path="poblacion">Población:</sf:label>
							</div>	
							<div class="col-lg-9">
								<sf:input id="idPoblacion" path="poblacion" />
							</div>  
	                    </div>		
	                    <div>
	                    	<div class="col-lg-3">
	                    		<sf:label path="provincia">Provincia:</sf:label>
							</div>	
							<div class="col-lg-9">
								<sf:input id="idProvincia" path="provincia"/>
							</div>  
	                    </div>	
	 	                <div>
	                    	<div class="col-lg-3">
	                    		<sf:label path="codigoPostal">Cod. Postal:</sf:label>
							</div>	
							<div class="col-lg-9">
								<sf:input id="idCodigoPostal" path="codigoPostal"/>
							</div>  
	                    </div>
	 	                <div>
	                    	<div class="col-lg-3">
	                    		<sf:label path="codigoPostal">Observaciones:</sf:label>
							</div>	
							<div class="col-lg-9">
								<sf:input id="idCodigoPostal" path="observaciones"/>
							</div>  
	                    </div>	                    
	                    
	                   	<div>
	                    	<div class="col-lg-5"></div>	
							<div class="col-lg-2"  style="margin-top:2em;">
	                    		<button type="button" class="btn btn-primary" id="idBotonMapa" onClick="clickBotonMapa();" ><span class="glyphicon glyphicon-globe"></span> Mapa</button>
							</div>  
							<div class="col-lg-5"></div>							
	                    </div>
	                    <sf:hidden path="nombreAsignatura" />
	                   	<sf:hidden path="idExamen" />
	                    <sf:hidden path="idLugar" />	
	                    <sf:hidden path="longitud" id="idLongitud" />
	                    <sf:hidden path="latitud" id="idLatitud"/>	                 	                    
					</div>					
				</div>

			</div>
			</div>
			<div class=" col-xs-12 col-sm-6 col-md-6 col-lg-6">
				<div class="form-group panel panel-default" style="margin-top:3%;">					
					<div class="panel-body">
						<div  id="map"></div>				
				    </div>				    
				   	<div>				   	
				   		<div class="col-lg-12">Arrastre el puntero para afinar la localización y sus coordenadas</div>				   	
	                   	<div class="col-lg-6">
	                   		<span style="font-weight: bold;">Latitud: </span><span id="idLatitudDisplay"></span>
						</div>	 
						<div class="col-lg-6">
	                   		<span style="font-weight: bold;">Longitud: </span><span id="idLongitudDisplay"></span>
						</div>  
	                </div>				  	
				</div>
			</div>
			<div class=" col-xs-12 col-sm-12 col-md-12 col-lg-12" style="margin-top: 1em;">
				<div class="col-lg-1 col-md-1 col-sm-5 col-xs-5">
				  <a href="${contextPath}/examen" class="btn btn-primary" role="button"><span class="glyphicon glyphicon-chevron-left"></span> Volver</a>					
				</div>	
				<div class="col-lg-10 col-md-10 col-sm-2 col-xs-2"></div>	
				<div class="col-lg-1 col-md-1 col-sm-5 col-xs-5"><button type="submit" class="btn btn-primary">Guardar</button></div>
			</div>		
			
			<div class=" col-xs-12 col-sm-12 col-md-12 col-lg-12" style="margin-top: 5em;">		
			</div>
		</sf:form>
		

	</div>
	
</body>
</html>
