<%@ taglib prefix="sf" uri="http://www.springframework.org/tags/form" %>
<%@ taglib prefix="s" uri="http://www.springframework.org/tags" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ page contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%> 
<c:set var="contextPath" value="${pageContext.request.contextPath}"/>

<!DOCTYPE html>
<html>
<head>

<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Detalle de examen</title>

 <meta name="viewport" content="width=device-width, initial-scale=1">
<meta name="description" content="">
<meta name="author" content="Roberto Calvo Mendoza">
<link href="${contextPath}/css/bootstrap.min.css" rel="stylesheet">
<link href="${contextPath}/css/bootstrap-theme.min.css" rel="stylesheet">
<script src="${contextPath}/js/jquery-1.11.3.js" type="text/javascript"></script>
<script src="${contextPath}/js/bootstrap.min.js" type="text/javascript"></script>
<script src="https://maps.googleapis.com/maps/api/js"></script>
<script>
	function initialize() {

		//iniciarMapaConCoordenadas();
		var latitud = $('#idLatitud').val();
		var longitud = $('#idLongitud').val();
		var latLng = new google.maps.LatLng(latitud, longitud);
		
		var map = new google.maps.Map(document.getElementById('map'), {
		    zoom: 18,
		    center: latLng,
		    mapTypeId: google.maps.MapTypeId.ROADMAP
		});
		
		var marker = new google.maps.Marker({
		    position: latLng,
		    title: 'Examen',
		    map: map,
		});
		

		$( "#boton-calificaciones" ).click(function() {
			 window.document.location = '${contextPath}' + "/calificaciones";
		});		
	}	
	google.maps.event.addDomListener(window, 'load', initialize);
</script>

<style>
  #map {
    height: 20em;
  }
</style>

</head>
<body> 
	<div class="container">

	  <jsp:include page="/WEB-INF/views/cabecera.jsp"/>
		<sf:form method="POST" action="${contextPath}/examen/updateDetalles" theme="bootstrap" modelAttribute="detalleExamen" role="form" htmlEscape="true" >			
		<div class="col-lg-12">
			<div class="col-lg-4" style="font-weight: bold; font-size: 1.3em;">${detalleExamen.nombreAsignatura}</div>
			<div class="col-lg-1">
				<span><strong>Fecha:</strong></span>
			</div>	
			<div class="form-group col-lg-2">		
				<span>${detalleExamen.fecha}</span>
	        </div>
        
			<div class="col-lg-1">
				<span><strong>Hora:</strong></span>
			</div>	
			<div class="form-group col-lg-2">		
				<span>${detalleExamen.hora}</span>
	        </div> 
	        <div class="col-lg-2"></div>     
		</div>
		<div class="col-xs-12 col-sm-6 col-md-6 col-lg-6">
			
		  	<div class="form-group panel panel-default" style="margin-top:3%;">
		  		<div class="panel-body">
				
                   <div class="col-lg-12"  style="margin-bottom: 0.5em;">
                   	<div class="col-lg-3">
                   		<strong>Edificio:</strong>
					</div>	
					<div class="col-lg-9">							
						${detalleExamen.edificio}
					</div>  
                   </div>

                    <div class="col-lg-12" style="margin-bottom: 0.5em;">
                    	<div class="col-lg-3">
                    		<strong>Aula:</strong>
						</div>	
						<div class="col-lg-9">
							${detalleExamen.aula}
						</div>  
                    </div>	  
                    
                    <div class="col-lg-12"  style="margin-bottom: 0.5em;">
                    	<div class="col-lg-3">
                    		<strong>Dirección:</strong>
						</div>	
						<div class="col-lg-9">
							${detalleExamen.direccion}
						</div>  
                    </div>	
	                    
                    <div class="col-lg-12"  style="margin-bottom: 0.5em;">
                    	<div class="col-lg-3">
                    		<strong>Población:</strong>
						</div>	
						<div class="col-lg-9">
							${detalleExamen.poblacion}
						</div>  
                    </div>	

                    <div class="col-lg-12"  style="margin-bottom: 0.5em;">
                    	<div class="col-lg-3">
                    		<strong>Provincia:</strong>
						</div>	
						<div class="col-lg-9">
							${detalleExamen.provincia}
						</div>  
                    </div>

                    <div class="col-lg-12"  style="margin-bottom: 0.5em;">
                    	<div class="col-lg-3">
                    		<strong>Cod. Postal:</strong>
						</div>	
						<div class="col-lg-9">
							${detalleExamen.codigoPostal}
						</div>  
                    </div>	
                    
                    <div class="col-lg-12"  style="margin-bottom: 0.5em;">
                    	<div class="col-lg-3">
                    		<strong>Observaciones:</strong>
						</div>	
						<div class="col-lg-9">
							${detalleExamen.observaciones}
						</div>  
                    </div>	                    

                    <sf:hidden path="nombreAsignatura" />
                   	<sf:hidden path="idExamen" />
                    <sf:hidden path="idLugar" />	
                    <sf:hidden path="longitud" id="idLongitud" />
                    <sf:hidden path="latitud" id="idLatitud"/>	                 	                    
					
				</div>

			</div>
			</div>
			<div class=" col-xs-12 col-sm-6 col-md-6 col-lg-6">
				<div class="form-group panel panel-default" style="margin-top:3%;">					
					<div class="panel-body">
						<div  id="map"></div>				
				    </div>				    			  	
				</div>
			</div>
			
			
	
				
	
			<div class=" col-xs-12 col-sm-12 col-md-12 col-lg-12">
				<div class="col-lg-1 col-md-1 col-sm-5 col-xs-5">
				  <a href="${contextPath}/examen" class="btn btn-primary" role="button"><span class="glyphicon glyphicon-chevron-left"></span> Volver</a>		
				</div>	
				<div class="col-lg-10 col-md-10 col-sm-2 col-xs-2"></div>	
				<div class="col-lg-1 col-md-1 col-sm-5 col-xs-5">
				  <a href="${contextPath}/calificaciones/${detalleExamen.idExamen}" class="btn btn-primary" role="button">Calificaciones</a>		
				</div>				
			</div>	
					
		</sf:form>

	</div>
	
	
</body>
</html>
