package org.uoc.examlist.data;

import static org.junit.Assert.*;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;
import org.uoc.examlist.model.AlumExamLugar;

@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration({"file:src/test/applicationContextTest.xml" } )
public class ExamenDaoTest {
	
	@Autowired
	private ExamenDao examenDao;
	
	@Test
	public void testExamenDaoFinExamenesByIdAlumno() {
		assertTrue(examenDao.findExamenesByIdUsuarioAlumno(1).size()==4 );
	}
	
	@Test
	public void testFindExamenesByName() {
		assertTrue(examenDao.findExamenesByName("gic").size()==1 );
	}
	
	@Test
	public void testFindExamenesByIdAsignatura() {
		assertTrue(examenDao.findExamenesByIdAsignatura(1).size()==1 );
	}
	
	@Test
	public void findAlumExamByIdExamen(){
		assertTrue(examenDao.findAlumExamByIdExamen(1).size()==1 );
	}
	
	@Test
	public void testFindExamenByIdAlumnoIdExamen() {
		AlumExamLugar alumExamLugar = examenDao.findExamenByIdUsuarioAlumnoIdExamen(1,1);
		assertTrue(alumExamLugar.getExamLugar().getLugar().getDireccion().getDireccion().contains("Calle Madrid") );
		assertTrue(alumExamLugar.getExamLugar().getLugar().getEdificio().contains("Giner de los Ríos") );
	}
	
	@Test
	public void testFindUltimasCalificacionesByIdAlumno() {
		assertTrue(examenDao.findUltimasCalificacionesByIdAlumno(1).size()==4 );
	}

}
